aboutsummaryrefslogtreecommitdiffstats
path: root/test/ical-002.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/ical-002.sh')
-rwxr-xr-xtest/ical-002.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/test/ical-002.sh b/test/ical-002.sh
index 81ed1f1..eeecab4 100755
--- a/test/ical-002.sh
+++ b/test/ical-002.sh
@@ -3,14 +3,14 @@
. "${TEST_INIT:-./test-init.sh}"
if [ "$1" = 'actual' ]; then
- mkdir .calcurse || exit 1
- cp "$DATA_DIR/conf" .calcurse || exit 1
- "$CALCURSE" -D "$PWD/.calcurse" -i "$DATA_DIR/ical-002.ical"
- "$CALCURSE" -D "$PWD/.calcurse" -s01/01/2000 -r2
- rm -rf .calcurse || exit 1
+ tmpdir=$(mktemp -d)
+ cp "$DATA_DIR/conf" "$tmpdir" || exit 1
+ "$CALCURSE" -D "$tmpdir" -i "$DATA_DIR/ical-002.ical"
+ "$CALCURSE" -D "$tmpdir" -s01/01/2000 -r2
+ rm -rf "$tmpdir" || exit 1
elif [ "$1" = 'expected' ]; then
cat <<EOD
-Import process report: 0036 lines read
+Import process report: 0028 lines read
5 apps / 0 events / 0 todos / 0 skipped
01/01/00:
- 00:00 -> 00:00